NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAE::FaceFromBoundaryBuilder Class Reference

Builder for creating Polygon Face by boundary
To create a new instance of this class, use NXOpen::CAE::AbstractionManager::CreateFaceFromBoundaryBuilder

Created in NX8.5.0. More...

Inheritance diagram for NXOpen::CAE::FaceFromBoundaryBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void AddSelectedPointPairs ()
 Designate the join of the first and second pt by a straight edge (joining the ends of open loop segments). More...
 
NXOpen::CAE::SelectCAEEdgeListEdgeSelection ()
 Returns the polygon edge selection to create a face from boundary
Created in NX8.5.0. More...
 
NXOpen::PointFirstPtSelect ()
 Returns the first pt to join the ends of open edges in the loop. More...
 
NXOpen::CAE::SelectCAEBodyPolygonBodySelection ()
 Returns the polygon body selection to assign the newly created face
Created in NX8.5.0. More...
 
NXOpen::PointSecondPtSelect ()
 Returns the second pt to join the ends of open edges in the loop. More...
 
void SetFirstPtSelect (NXOpen::Point *firstPtSelect)
 Sets the first pt to join the ends of open edges in the loop. More...
 
void SetSecondPtSelect (NXOpen::Point *secondPtSelect)
 Sets the second pt to join the ends of open edges in the loop. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Builder for creating Polygon Face by boundary
To create a new instance of this class, use NXOpen::CAE::AbstractionManager::CreateFaceFromBoundaryBuilder

Created in NX8.5.0.


Member Function Documentation

void NXOpen::CAE::FaceFromBoundaryBuilder::AddSelectedPointPairs ( )

Designate the join of the first and second pt by a straight edge (joining the ends of open loop segments).


Created in NX8.5.0.

License requirements : None

NXOpen::CAE::SelectCAEEdgeList* NXOpen::CAE::FaceFromBoundaryBuilder::EdgeSelection ( )

Returns the polygon edge selection to create a face from boundary
Created in NX8.5.0.



License requirements : None

NXOpen::Point* NXOpen::CAE::FaceFromBoundaryBuilder::FirstPtSelect ( )

Returns the first pt to join the ends of open edges in the loop.


Created in NX8.5.0.

License requirements : None

NXOpen::CAE::SelectCAEBody* NXOpen::CAE::FaceFromBoundaryBuilder::PolygonBodySelection ( )

Returns the polygon body selection to assign the newly created face
Created in NX8.5.0.



License requirements : None

NXOpen::Point* NXOpen::CAE::FaceFromBoundaryBuilder::SecondPtSelect ( )

Returns the second pt to join the ends of open edges in the loop.


Created in NX8.5.0.

License requirements : None

void NXOpen::CAE::FaceFromBoundaryBuilder::SetFirstPtSelect ( NXOpen::Point firstPtSelect)

Sets the first pt to join the ends of open edges in the loop.


Created in NX8.5.0.

License requirements : None

Parameters
firstPtSelectfirstptselect
void NXOpen::CAE::FaceFromBoundaryBuilder::SetSecondPtSelect ( NXOpen::Point secondPtSelect)

Sets the second pt to join the ends of open edges in the loop.


Created in NX8.5.0.

License requirements : None

Parameters
secondPtSelectsecondptselect

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.